%{?drupal7_find_provides_and_requires}

%global module_name i18n

Name:          drupal7-%{module_name}
Version:       1.13
Release:       1%{?dist}
Summary:       Enables multilingual content

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module_name}
Source0:       http://ftp.drupal.org/files/projects/%{module_name}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

Requires:      drupal7(locale)
Requires:      drupal7(variable)
# phpcompatinfo (computed from version 1.13)
Requires:      php-pcre

%description
This is a collection of modules to extend Drupal core multilingual capabilities
and be able to build real life multilingual sites. Some features:

* Taxonomy translation (both, per language terms and translatable terms)
* Multilingual variables
* Multilingual blocks (control visibility per language and translate title and
  content)
* Language selection (when you switch the site language you'll see only the
  content for that language)

Read a complete feature overview in the Internationalization handbook: Building
multilingual sites [1].

This package provides the following Drupal modules:
* %{module_name}
* %{module_name}_block
* %{module_name}_contact
* %{module_name}_field
* %{module_name}_forum
* %{module_name}_menu
* %{module_name}_node
* %{module_name}_path
* %{module_name}_redirect
* %{module_name}_select
* %{module_name}_string
* %{module_name}_sync
* %{module_name}_taxonomy
* %{module_name}_translation
* %{module_name}_user
* %{module_name}_variable

[1] https://www.drupal.org/node/133977


%prep
%setup -qn %{module_name}


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{drupal7_modules}/%{module_name}
cp -pr * %{buildroot}%{drupal7_modules}/%{module_name}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{?_licensedir:%license LICENSE.txt}
%{drupal7_modules}/%{module_name}


%changelog
* Mon Jul 06 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.13-1
- Updated to 1.13 (BZ #1219472)
- Keep documentation where end-users expect it

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jan 31 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 1.12-1
- Updated to 1.12 (BZ #1186193)
- Spec cleanup

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.11-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Peter Borsa <peter.borsa@gmail.com> - 1.11-1
- Update to upstream 1.11 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2242497

* Thu Aug 22 2013 Peter Borsa <peter.borsa@gmail.com> - 1.10-1
- Update to upstream 1.10 release for security and bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2070589

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jul 10 2013 Peter Borsa <peter.borsa@gmail.com> - 1.9-1
- Update to 1.9

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Feb 10 2013 Scott Dodson <sdodson@redhat.com> 1.8-0
- Update to 1.8
- Make sure drupal7-variable > 2.0

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 05 2012 Peter Borsa <peter.borsa@gmail.com> - 1.7-1
- Update to 1.7

* Wed Jun 27 2012 Scott Dodson <sdodson@redhat.com> - 1.6-0
- Update to 1.6 BZ834182

* Wed Apr 25 2012 Scott Dodson <sdodson@redhat.com> - 1.5-0
- Update to 1.5 BZ814917

* Mon Feb 06 2012 Scott Dodson <sdodson@redhat.com> - 1.4-0
- Update to 1.4 BZ781352

* Tue Jan 17 2012 Scott Dodson <sdodson@redhat.com> - 1.3-0
- Update to 1.3 Bug 781352

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 7 2011 Scott Dodson <sdodson@redhat.com - 1.2-0
- Update to 1.2 BZ757677

* Sun Nov 6 2011 Scott Dodson <sdodson@redhat.com> - 1.1-1
- Update to 1.1

* Wed Aug 31 2011 Scott Dodson <sdodson@redhat.com> - 1.0-1
- Initial Packaging
